function Create(self)
	self.target = nil;
	for actor in MovableMan.Actors do
		if actor:HasObject("Seeker Gun") and SceneMan:ShortestDistance(self.Pos, actor.Pos, true).Magnitude < 50 then
			self.ignoreteam = actor.Team;
			break;
		end
	end
end

function Update(self)
	if MovableMan:IsActor(self.target) then
		self.vec = SceneMan:ShortestDistance(self.Pos,self.target.Pos,true);
		self.Vel = self.Vel.AbsRotateTo(self.vec);
	else
		self.shortest = -1;
		for actor in MovableMan.Actors do
			if actor.Team ~= self.ignoreteam then
				self.dist = SceneMan:ShortestDistance(self.Pos,actor.Pos,true).Magnitude;
				if self.shortest == -1 or self.dist < self.shortest then
					self.shortest = self.dist;
					self.target = actor;
				end
			end
		end
	end
end
