function Create(self)
	self.fuseTime = 20;
end

function Update(self)
	if not self:IsActivated() then
		self.fuseTime = 10000;
	end
	if self.Fuze then
		if self.Fuze:IsPastSimMS(self.fuseTime) then
		
			for actor in MovableMan.Actors do
				local magnitude = SceneMan:ShortestDistance(self.Pos, actor.Pos, true).Magnitude;
				if actor.Team ~= self.Team and magnitude < 200 then
					local replicated = CreateTDExplosive("Von Braun Grenade", "OHL.rte");
					local payload = CreateMOSRotating("Von Braun Grenade Payload", "OHL.rte");
					if replicated and payload then
						payload.Pos = self.Pos;
						MovableMan:AddParticle(payload);
						
						replicated.Pos = actor.Pos;
						actor:FlashWhite(100);
						MovableMan:AddParticle(replicated);
						replicated:Activate();
						self:GibThis();
						payload:GibThis();
						break;
					end
				end
			end
		end
	elseif self:IsActivated() then
		self.Fuze = Timer()
	end
end