function Create(self)
	self.playedSound = false;
end

function Update(self)
	if self.Fuze then
		if self.Fuze:IsPastSimMS(4000) then
		
			for actor in MovableMan.Actors do
				if SceneMan:ShortestDistance(self.Pos, actor.Pos, true).Magnitude < 200 then
					actor.Vel = self.Pos - actor.Pos;
					if not self.playedSound then
						actor:FlashWhite(300);
					end
				end
			end
			
			if not self.playedSound then
				local Payload = CreateMOSRotating("Hardgrenade Sound Payload", "OHL.rte")
				if Payload then
					Payload.Pos = self.Pos
					MovableMan:AddParticle(Payload)
					Payload:GibThis()
				end
				self.playedSound = true;
			end
			
		end
		if self.Fuze:IsPastSimMS(6000) then
			for i=1,5 do
				local Payload = CreateMOSRotating("Hardgrenade Payload", "OHL.rte")
				if Payload then
					Payload.Pos = Vector(math.random(self.Pos.X-50, self.Pos.X+50), math.random(self.Pos.Y-50, self.Pos.Y+50));
					MovableMan:AddParticle(Payload)
					Payload:GibThis()
				end
			end
			
			self:GibThis()
		end
	elseif self:IsActivated() then
		self.Fuze = Timer()
	end
end